Get Validator mappings for Pools and Operators.
curl --request GET \
--url https://api.rated.network/v1/eth/entities/{entity_id}/mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities/{entity_id}/mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities/{entity_id}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/entities/{entity_id}/mappings?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/entities/{entity_id}/mappings?limit=10&offset=10",
"results": [
[
{
"depositAddresses": [
"0x74134d0c91798d720a5585364bb4be7396c5b973"
],
"dvtOperators": [],
"nodeOperators": [],
"validatorIndex": 100,
"validatorPubkey": "0xb5bc96b70df0dfcc252c9ff0d1b42cb6dc0d55f8defa474dc0a5c7e0402c241e2850fea9c582e276b638b3c2c3a5ec55",
"withdrawalAddress": "0xfff1ce616cf83327981bf61396ad0c04e0c8b771"
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get Validator mappings for Pools and Operators.
This endpoint returns information about the validators mapped to a pool or an operator. Use this endpoint to retrieve validator indices or pubkeys that belong to a pool or an operator, as well as their deposit and withdrawal addresses.
GET
/
v1
/
eth
/
entities
/
{entity_id}
/
mappings
Get Validator mappings for Pools and Operators.
This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [email protected] to learn more.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The type of entity class you would like returned
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet